Subject: [apps-discuss] I-D Action: draft-ietf-appsawg-about-uri-scheme-00.txt

From: [email-masked]
Date: Mon, 17 Oct 2011 05:28:48 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Applications Area Working Group Working Group of the IETF.

	Title           : The &#39;about&#39; URI Scheme
	Author(s)       : Lachlan Hunt
                          Mykyta Yevstifeyev
	Filename        : draft-ietf-appsawg-about-uri-scheme-00.txt
	Pages           : 7
	Date            : 2011-10-17

   This document defines the &#39;about&#39; URI scheme, that is widely used by
   Web browsers and some other applications to designate access to their
   internal resources, such as settings, application information, hidden
   built-in functionality, and so on.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-appsawg-about-uri-scheme-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-appsawg-about-uri-scheme-00.txt

---

From: "Jiankang YAO" <[email-masked]>
Date: Tue, 18 Oct 2011 14:09:45 +0800

Dear all,

     The updated draft about URI scheme has been submitted.
 Pls kindly help to review it before 25 Oct., so that the editors can have time to reflect your comments in the  new version before the Internet Draft final submission cut-off.

  thanks.

Jiankang Yao

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, October 17, 2011 8:28 PM
Subject: I-D Action: draft-ietf-appsawg-about-uri-scheme-00.txt

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 18 Oct 2011 08:52:06 +0200

On 18 October 2011 08:09, Jiankang YAO wrote:

>  Pls kindly help to review it before 25 Oct.

Section 2.1:
Please replace 'segment' by '*pchar' and import pchar
instead of segment from STD 66.  The * indicates the
main point "zero or more" (unlike <segment-nz>), and
pchar is for me clearer than segment:  Above all it's
none of the five terms for slightly different paths.

The SPU gibberish is just ugly, please replace it by
"registered token" or similar.  Ditto SPT.  Get rid
of almost all MUSTard in this perfectly harmless URI
scheme, only about:blank deserves a MUST.

For more than six months I try to get about:about in
this draft, nothing happened.  Instead there are tons
of obscure terms (SPU, SPT), a pointless registry for
one word (blank), and additional tons of MUSTs and
MUST NOTs dealing with something that doesn't exist.

This draft is now in the worst state for this year,
that is not very encouraging for this trivial task.

Claiming that there are no about: IRIs makes no sense
as soon as there is an <about-query>, cf. RFC 3987
<iquery> and <ifragment>.

-Frank

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 18 Oct 2011 20:13:20 +0300

Hi Frank,

My response as document's editor.

18.10.2011 9:52, Frank Ellermann wrote:
> main point "zero or more" (unlike<segment-nz>), and

Well, RFC 3986 defines:

>     segment       = *pchar

So "/segment/" is no different from "/*pchar/".  I actually see no 
benefit from changing this definition, but if there is WG consensus on 
such change, it will be incorporated in the doc.

> "registered token" or similar.

SPT is used not to say "special-purpose 'about' URI token"; and this 
implies the main purpose of creating *special-purpose* URIs/tokens.  I 
actually think this is the best though a bit obscure terminology.  
Please propose something particular in lieu of SPU/SPT terminology, if 
you want changes, and such proposals will be considered.

>    Ditto SPT.  Get rid

Please provide particular cases of using MUST an justification for 
removing such MUSTs.

> this draft, nothing happened.

about:about isn't appropriate for special-purpose URI:

>     defining an SPT should
>     only be used as a last resort approach, when a strict limitation on
>     handling 'about' URI with such SPT is necessary.

I see no such necessity for strict limitation.  One application might 
want to resolve about:about to wen page saying "I have no idea what is 
about:about", other will resolve to list of supported 'about' URIs, the 
third will do else, and I personally don't think we should unify 
handling of particularly this URI.  But, again, if there is WG 
consensus, I'll add the text.

>   Instead there are tons
> one word (blank),

We do not define a registry-of-limited-to-one-entry-size, we define 
extensible registry.  At last two tokens will be defined by HTML5, and 
whoever knows how many will be later.  It is pointless to say "pointless".

> and additional tons of MUSTs and
> as soon as there is an<about-query>, cf. RFC 3987
> <iquery>  and<ifragment>.

I know absolutely no application supporting 'about' IRIs.  Please 
provide some examples of 'about' IRIs which are in use now, or which 
make use of i18ned queries/fragments.

Mykyta Yevstifeyev

> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>